#!/bin/bash

echo "***** INSTALL VIM PLUGINS *****"

if [ -x "/usr/local/bin/nvim" ]; then
	VIM_PATH="/usr/local/bin/nvim"
elif [ -x "$HOME/.nix-profile/bin/nvim" ]; then
	VIM_PATH="$HOME/.nix-profile/bin/nvim"
else
	echo "Cannot find vim! Tried the following paths:"
	echo " - /usr/local/bin/nvim"
	echo " - $HOME/.nix-profile/bin/nvim"
	exit 1
fi

VIM_PLUG="$HOME/.local/share/nvim/site/autoload/plug.vim"

if [ -f "$VIM_PLUG" ]; then
	echo "Updating vim plugin manager..."
	echo "Updating vim plugins..."
	$VIM_PATH --headless +PlugUpgrade +PlugUpdate +qall
else
	echo "Installing vim plugin manager..."
	curl -fsSL -o "$VIM_PLUG" --create-dirs https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim
	echo "Installing vim plugins..."
	$VIM_PATH --headless +PlugInstall +qall
fi

echo
